### Function

# Dex file_move

#### Declaration [src]

    DexFuture*
    dex_file_move (
      GFile* source,
      GFile* destination,
      GFileCopyFlags flags,
      int io_priority,
      GFileProgressCallback progress_callback,
      gpointer progress_callback_data,
      GDestroyNotify progress_callback_data_destroy
    )

#### Description

No description available.

#### Parameters

`source`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`destination`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`flags`

  Type: `GFileCopyFlags`

  No description available.

`io_priority`

  Type: `int`

  No description available.

`progress_callback`

  Type: `GFileProgressCallback`

  No description available.

`progress_callback_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`progress_callback_data_destroy`

  Type: `GDestroyNotify`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.